package entrustPool

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type PoolActionTxsRouter struct {
}

// InitPoolActionTxsRouter 初始化 PoolActionTxs 路由信息
func (s *PoolActionTxsRouter) InitPoolActionTxsRouter(Router *gin.RouterGroup) {
	poolActionTxsRouter := Router.Group("poolActionTxs").Use(middleware.OperationRecord())
	poolActionTxsRouterWithoutRecord := Router.Group("poolActionTxs")
	var poolActionTxsApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolActionTxsApi
	{
		poolActionTxsRouter.POST("createPoolActionTxs", poolActionTxsApi.CreatePoolActionTxs)   // 新建PoolActionTxs
		poolActionTxsRouter.DELETE("deletePoolActionTxs", poolActionTxsApi.DeletePoolActionTxs) // 删除PoolActionTxs
		poolActionTxsRouter.DELETE("deletePoolActionTxsByIds", poolActionTxsApi.DeletePoolActionTxsByIds) // 批量删除PoolActionTxs
		poolActionTxsRouter.PUT("updatePoolActionTxs", poolActionTxsApi.UpdatePoolActionTxs)    // 更新PoolActionTxs
	}
	{
		poolActionTxsRouterWithoutRecord.GET("findPoolActionTxs", poolActionTxsApi.FindPoolActionTxs)        // 根据ID获取PoolActionTxs
		poolActionTxsRouterWithoutRecord.GET("getPoolActionTxsList", poolActionTxsApi.GetPoolActionTxsList)  // 获取PoolActionTxs列表
	}
}
